/*****************************************************
*           SAA1057 PLL Circuit Interface            *
*       (C) 2009 by Marius Petrescu, YO2LOJ          *
*   Released under the GNU General Public License    *
*****************************************************/
#ifndef _INCLUDE_PLL_H_
#define _INCLUDE_PLL_H_

#include <avr/io.h>
#include "lcd.h"		// for lcd_delay(us)

/* hardware configuration definitions */
// All radio control is on port D (0x12) and shared with LCD
#define PLL_SET_CLB()     __asm__ __volatile__ ("sbi 0x12,4\n")
#define PLL_CLEAR_CLB()   __asm__ __volatile__ ("cbi 0x12,4\n")
#define PLL_SET_DLEN()    __asm__ __volatile__ ("sbi 0x12,5\n")
#define PLL_CLEAR_DLEN()  __asm__ __volatile__ ("cbi 0x12,5\n")
#define PLL_SET_DATA()    __asm__ __volatile__ ("sbi 0x12,6\n")
#define PLL_CLEAR_DATA()  __asm__ __volatile__ ("cbi 0x12,6\n")

/* microseconds delay routine */
#define delay_us(us)	lcd_delay(us)

/* sends control word to PLL via SPI bus */
void pll_send(unsigned word);

#endif
